Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Sitecore Personalizeと共に開発
    • ベースURL
    • 応答コード
        • つながりを作る
        • 回収接続
        • 接続を取得
        • 接続の更新
        • 接続のテスト
  1. REST APIつながり
  1. Sitecore Personalize developer documentation
  2. REST API

つながりを作る

日本語翻訳に関する免責事項

このページの翻訳はAIによって自動的に行われました。可能な限り正確な翻訳を心掛けていますが、原文と異なる表現や解釈が含まれる場合があります。正確で公式な情報については、必ず英語の原文をご参照ください。

POST /v2/connections

つながりを生み出します。

最低限、リクエスト文に以下の必要な属性を記載する必要があります:

属性

種類

概要

例

name

ストリング

その接続の名前。

"Connect to Data System"

auth

オブジェクトの配列

サービスに接続するための認証属性の配列です。

"mys3cr3tstr1ingforauth1!x"

request

文字列の配列

サービスに接続するためのリクエスト属性の配列。

"mys3cr3tstr1ingforauth1!x"

systemType

ストリング

接続しているシステムの種類。

"DATA_SYSTEM"

応答の中のrefキーには接続参照が含まれています。

例えば、接続参照を使って個々の接続とやり取りし、取得 や 更新 を行います。

curl -X POST '/v2/connections' \ -H 'Authorization: Bearer ' \ -H 'Accept: application/json' \ --data-raw ' { "name": "Connect to Data System", "auth": { "authType": "NONE" }, "request": { "requestType": "POST", "connectionUrl": "https://example.com/api/1.0/messages/send.json", "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}" }, "systemType": "DATA_SYSTEM" }'

{ "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ", "href": "/v2/connections/91fd83dc-3026-4854-9dc2-9bd9e72f8b34", "ref": "91fd83dc-3026-4854-9dc2-9bd9e72f8b34", "name": "Connect to Data System", "modifiedByRef": "73fadb31-d0de-4ca8-848d-cef57ad78845", "modifiedAt": "2026-12-14T08:`52

`.969Z", "archived": false, "auth": { "authType": "NONE" }, "request": { "requestType": "POST", "connectionUrl": "https://example.com/api/1.0/messages/send.json", "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}" }, "systemType": "DATA_SYSTEM", "connectionTimeout": 1000, "socketTimeout": 1000, "icon": "assets/images/icons/connections/plug.svg" }

この記事を改善するための提案がある場合は、 お知らせください!

© Copyright , Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use
PersonalizeCloud Portal